| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::superres::FarnebackOpticalFlow Class Referenceabstract
Super Resolution

`#include <opencv2/superres/optical_flow.hpp>`

Inheritance diagram for cv::superres::FarnebackOpticalFlow:

## Public Member Functions
virtual int | getFlags () const =0
virtual int | getIterations () const =0
virtual int | getLevelsNumber () const =0
virtual int | getPolyN () const =0
virtual double | getPolySigma () const =0
virtual double | getPyrScale () const =0
virtual int | getWindowSize () const =0
virtual void | setFlags (int val)=0
virtual void | setIterations (int val)=0
virtual void | setLevelsNumber (int val)=0
virtual void | setPolyN (int val)=0
virtual void | setPolySigma (double val)=0
virtual void | setPyrScale (double val)=0
virtual void | setWindowSize (int val)=0
Public Member Functions inherited from cv::superres::DenseOpticalFlowExt
virtual void | calc (InputArray frame0, InputArray frame1, OutputArray flow1, OutputArray flow2=noArray())=0
virtual void | collectGarbage ()=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## § getFlags()

virtual int cv::superres::FarnebackOpticalFlow::getFlags | ( |  | ) | const
| pure virtual

See also
  setFlags

## § getIterations()

virtual int cv::superres::FarnebackOpticalFlow::getIterations | ( |  | ) | const
| pure virtual

See also
  setIterations

## § getLevelsNumber()

virtual int cv::superres::FarnebackOpticalFlow::getLevelsNumber | ( |  | ) | const
| pure virtual

See also
  setLevelsNumber

## § getPolyN()

virtual int cv::superres::FarnebackOpticalFlow::getPolyN | ( |  | ) | const
| pure virtual

See also
  setPolyN

## § getPolySigma()

virtual double cv::superres::FarnebackOpticalFlow::getPolySigma | ( |  | ) | const
| pure virtual

See also
  setPolySigma

## § getPyrScale()

virtual double cv::superres::FarnebackOpticalFlow::getPyrScale | ( |  | ) | const
| pure virtual

See also
  setPyrScale

## § getWindowSize()

virtual int cv::superres::FarnebackOpticalFlow::getWindowSize | ( |  | ) | const
| pure virtual

See also
  setWindowSize

## § setFlags()

virtual void cv::superres::FarnebackOpticalFlow::setFlags | ( | int | val | ) |
| pure virtual

See also
  getFlags

## § setIterations()

virtual void cv::superres::FarnebackOpticalFlow::setIterations | ( | int | val | ) |
| pure virtual

See also
  getIterations

## § setLevelsNumber()

virtual void cv::superres::FarnebackOpticalFlow::setLevelsNumber | ( | int | val | ) |
| pure virtual

See also
  getLevelsNumber

## § setPolyN()

virtual void cv::superres::FarnebackOpticalFlow::setPolyN | ( | int | val | ) |
| pure virtual

See also
  getPolyN

## § setPolySigma()

virtual void cv::superres::FarnebackOpticalFlow::setPolySigma | ( | double | val | ) |
| pure virtual

See also
  getPolySigma

## § setPyrScale()

virtual void cv::superres::FarnebackOpticalFlow::setPyrScale | ( | double | val | ) |
| pure virtual

See also
  getPyrScale

## § setWindowSize()

virtual void cv::superres::FarnebackOpticalFlow::setWindowSize | ( | int | val | ) |
| pure virtual

See also
  getWindowSize

The documentation for this class was generated from the following file:

- opencv2/superres/optical_flow.hpp